# $Revision: 1.30 $, $Date: 2007/08/05 10:47:53 $
Summary:	GNU GO
Summary(pl.UTF-8):	Wersja GNU gry w GO
Name:		gnugo
Version:	3.7.10
Release:	1
License:	GPL
Group:		Applications/Games
Source0:	ftp://sporadic.stanford.edu/pub/%{name}-%{version}.tar.gz
# Source0-md5:	a5d225cf4868edee0981b85447de5ad8
Patch0:		%{name}-info.patch
Patch1:		%{name}-tinfo.patch
URL:		http://www.gnu.org/software/gnugo/
BuildRequires:	autoconf
BuildRequires:	ncurses-devel
BuildRequires:	texinfo
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Go is a game of strategy between two players usually played on a 19x19
grid called goban. GNU Go plays a game of Go against the user. It has
many other features: it can play against itself or another program,
analyse and score a recorded game. GNU Go is compliant with Go Modem
Protocol, and load/save games in the Smart Go format.

GNU Go default is a simple alpha-numeric board display, if you'd like
to use a graphical interface with GNU Go, you'll also need to install
the CGoban package and the X Window System.

%description -l pl.UTF-8
Go to gra strategiczna dla dwóch graczy rozgrywana na planszy 19x19
nazywanej goban. GNU Go gra przeciwko użytkownikowi. Ma wiele
możliwości: może grać przeciwko sobie samemu lub innemu programowi,
analizować i punktować zapisaną grę. GNU Go jest kompatybilny z Go
Modem Protocol, a zapisuje/odczytuje gry w formacie Smart Go.

GNU Go domyślnie ma standardowo proste, alfanumeryczne wyświetlanie
planszy. Jeśli chcesz graficzny interfejs do GNU Go, doinstaluj pakiet
CGoban (wymagający X Window System).

%prep
%setup -q
%patch0 -p1
%patch1 -p1

%build
%{__autoconf}
%configure
%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%post
[ ! -x /usr/sbin/fix-info-dir ] || /usr/sbin/fix-info-dir -c %{_infodir} >/dev/null 2>&1

%postun
[ ! -x /usr/sbin/fix-info-dir ] || /usr/sbin/fix-info-dir -c %{_infodir} >/dev/null 2>&1

%files
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog NEWS README THANKS TODO
%attr(755,root,root) %{_bindir}/gnugo
%{_infodir}/gnugo.info*
%{_mandir}/man6/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: gnugo.spec,v $
Revision 1.30  2007/08/05 10:47:53  qboosh
- use version macro again, unified

Revision 1.29  2007/08/04 04:11:28  aredridel
- 3.7.10

Revision 1.28  2007/02/25 11:58:51  qrczak
- Fixed linking libtinfo

Revision 1.27  2007/02/25 11:49:29  qrczak
- Release 1: works for me.

Revision 1.26  2007/02/13 07:16:47  glen
- tabs in preamble

Revision 1.25  2007/02/12 00:48:53  baggins
- converted to UTF-8

Revision 1.24  2006/11/15 10:02:14  qboosh
- updated info patch, removed obsolete extern-static patch
- use plain configure, BR: ncurses-devel

Revision 1.23  2006/11/14 23:29:43  wrobell
- ver. 3.6

Revision 1.22  2005/04/11 12:51:24  qrczak
- gnugo-extern-static.patch: a forward declaration of a static variable
  must not say 'extern'.
- Release 3.

Revision 1.21  2004/12/20 22:50:24  undefine
- release 2

Revision 1.20  2003/11/30 19:18:34  adamg
- updated to 3.4

Revision 1.19  2003/05/26 16:25:04  malekith
- massive attack: adding Source-md5

Revision 1.18  2003/05/25 05:48:16  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.17  2003/02/01 09:45:54  misto
- updated to gnugo v3.2

Revision 1.16  2002/11/27 20:15:42  juandon
- new %%doc

Revision 1.15  2002/04/25 16:27:34  arturs
fixed a small typo

Revision 1.14  2002/04/12 13:55:27  qboosh
- removed info/dir.gz; release 3

Revision 1.13  2002/02/23 02:17:46  kloczek
- adapterized.

Revision 1.12  2002/02/22 23:28:59  kloczek
- removed all Group fields translations (our rpm now can handle translating
  Group field using gettext).

Revision 1.11  2002/01/18 02:13:09  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.10  2001/11/29 12:36:11  qboosh
- pl translations, run fix-info-dir in %%postun too; release 2

Revision 1.9  2001/11/14 11:45:38  filon
- changed to %%%configure2_13, to make it build

Revision 1.8  2001/07/26 16:22:43  wiget
test rsctags

Revision 1.6  2001/07/26 05:42:08  saq
- reverting last change: removing new macros from %p{re,ost}{,un}

Revision 1.3  2001/06/17 17:14:50  kloczek
- added info patch (now gnugo have info index entry),
- added few files to %doc.

Revision 1.2  2001/06/17 15:20:36  kloczek
- added %description amd URL.

Revision 1.1  2001/06/17 07:56:35  waszi
- initial release
